# -----------------------------
# Le script récupère les articles sur 3 ans pour les maladies depuis PubMed et les stoque dans un fichier json (./save/save_3_years.json)
#
# Ce script ne prend pas de paramètres.
#
# Auteur : Pavlovich Ivan
# -----------------------------

import sys
import os
from datetime import datetime, timedelta
import time
import json

# Ajouter le répertoire parent au chemin de recherche
sys.path.append(os.path.abspath(os.path.join(os.path.dirname(__file__), "../../")))

from dataSources.PubMed.pubmedApi import getPubmedData
from variables.pubmed import *
from dataSources.PubMed.util import *

SAVE_DIR = os.path.abspath(os.path.join(os.path.dirname(__file__), "./save"))

ncds_mesh_noexp = get_mesh_noexp_term(NCDS_MESH_TERM)

search_term = url_encode(" OR ".join(ncds_mesh_noexp))

data_to_store = []

with open(f"{SAVE_DIR}/save_3_years.json", "w") as json_file:
    json.dump(data_to_store, json_file, indent=4)

current_date = datetime(2022, 1, 1)

stored_pmid = []

while(current_date < datetime(2024, 12, 31)):
    next_date = current_date + timedelta(days=4)

    data = getPubmedData(search_term, current_date.strftime("%Y/%m/%d"), next_date.strftime("%Y/%m/%d"))

    if len(data) > 10000:
        print("ERROR: MORE THAN 10000 ARTICLES")
        exit(1)

    for article in data:
        if article["PMID"] not in stored_pmid:
            data_to_store.append(article)
            stored_pmid.append(article["PMID"])

    current_date = next_date

    time.sleep(0.1)

with open(f"{SAVE_DIR}/save_3_years.json", "w") as json_file:
    json.dump(data_to_store, json_file, indent=4)