import urllib.parse

def url_encode(text):
    return urllib.parse.quote_plus(text, safe='[]():"')

def get_mesh_term(terms):
    res = []

    for item in terms.values():
        if isinstance(item, list):
            tmp = [f'"{i}"[Mesh]' for i in item]
            res.append(" AND ".join(tmp))
        else:
            res.append(f'"{item}"[Mesh]')
    
    return res

def get_mesh_noexp_term(terms):
    res = []

    for item in terms.values():
        if isinstance(item, list):
            tmp = [f'"{i}"[Mesh:noexp]' for i in item]
            res.append(f'( {" AND ".join(tmp)} )')
        else:
            res.append(f'"{item}"[Mesh:noexp]')
    
    return res
