# -----------------------------
# Le script ne fait rien. Il met a disposition deux fonction une qui créer un classifier à 
# partir du model fine-tuner (./model). Le deuxième classifie une sequence sur des label en utilisant le classifier
# créer dans la première fonction
#
# Ce script ne prend pas de paramètres.
#
# Auteur : Pavlovich Ivan
# -----------------------------

from transformers import pipeline
import os
import sys
import torch
import time

sys.path.append(os.path.abspath(os.path.join(os.path.dirname(__file__), "../../")))

from variables.pubmed import NCDS

MODEL_DIR = os.path.abspath(os.path.join(os.path.dirname(__file__), "./model"))

def create_classifier_fine_tunning():
    print(f" CUDA available: {torch.cuda.is_available()}")
    print(f"CUDA version: {torch.version.cuda}")
    print(f"GPUs number: {torch.cuda.device_count()}")
    device = 0 if torch.cuda.is_available() else -1
    return pipeline("text-classification", model=MODEL_DIR, tokenizer=MODEL_DIR, device=device, return_all_scores=True, truncation=True)

def classify_fine_tunning(classifier, sequence, labels, threshold):

    start = time.time()
    results = classifier(sequence)
    end = time.time()

    print(results)

    predictions = {}

    for i, score in enumerate(results[0]):
        predictions[labels[i]] = score["score"] > threshold

    return predictions, end - start