# -----------------------------
# Le script ne fait rien. Il met a disposition deux fonction une qui créer une pipline zero-shot classification à 
# partir d un model hugging face. Le deuxième classifie une sequence sur des label en utilisant le classifier
# créer dans la première fonction
#
# Ce script ne prend pas de paramètres.
#
# Auteur : Pavlovich Ivan
# -----------------------------

from transformers import pipeline
import torch
import time

def create_classifier(model):
    print(f" CUDA available: {torch.cuda.is_available()}")
    print(f"CUDA version: {torch.version.cuda}")
    print(f"GPUs number: {torch.cuda.device_count()}")
    device = 0 if torch.cuda.is_available() else -1
    return pipeline("zero-shot-classification", model=model, device=device)


def classify(classifier, sequence, lables, treshold, debug = False):
    predictions = {}

    if debug:
        print(f"Sequence: {sequence}")
    
    predictionTime = 0

    for label in lables:
            start = time.time()
            results = classifier(sequence, [label])
            end = time.time()

            if debug:
                print(f"Labels: {results['labels']}")
                print(f"Scores: {results['scores']}")

            predictions[label] = results["scores"][0] > treshold

            predictionTime += (end - start)

    return predictions, predictionTime
