# -----------------------------
# Le script ne fait rien. Il met a disposition une fonction qui classifie une sequence sur des label en utilisant un model ollama
#
# Ce script ne prend pas de paramètres.
#
# Auteur : Pavlovich Ivan
# -----------------------------


from ollama import chat
from ollama import ChatResponse
import json
import time

def classify(model, sequence, labels):

    prompt = 'I need you to give me the labels that could be given to the text (keep in mind that u can put multiple labels and select only the labels that i give you):\n'
    prompt += 'text: ' + sequence + '\n'
    prompt += 'labels: ' + "[" + ", ".join(labels) + ']\n'
    prompt += 'Give the response in json format: { "labels": [] }. Follow this writing to the letter and don t add text around it. Only put the labels that you select between [].'
    prompt += 'Even if you have no labels give me a response like: { "labels": [] }. And also put labels between "".'

    start = time.time()
    response: ChatResponse = chat(model=model, messages=[
    {
        'role': 'user',
        'content': prompt,
    },
    ])
    end = time.time()

    print(response.message.content)

    json_str = response.message.content.strip().lstrip('```json').strip()

    if json_str.endswith("```"):
        json_str = json_str[0:-3]

    json_str = json_str.split("}")[0] + "}"

    responce_json = json.loads(json_str)

    print(responce_json)

    res = {}

    for label in labels:
        res[label] = label in responce_json["labels"]
            
    return res, end - start