import pandas as pd

def parseXlsxFile(filename):
    try:
        dataframe1 = pd.read_excel(filename)
        
        if dataframe1.empty:
            raise Exception(f"File {filename} is empty")
        
        return dataframe1.to_dict(orient='records')
    
    except FileNotFoundError:
        raise FileNotFoundError(f"The file '{filename}' was not found.")
    except ImportError:
        raise ImportError("The required library 'openpyxl' is not installed. Install it with `pip install openpyxl`.")
    except ValueError:
        raise ValueError("The file format is invalid or corrupted.")
    except Exception as e:
        raise Exception(f"An error occurred while trying to parse the {filename} file: {e}")