import xml.etree.ElementTree as ET

def xml_to_obj(xml_element):
    res = {}
    
    if xml_element.attrib:
        res["@attributes"] = xml_element.attrib

    text = xml_element.text.strip() if xml_element.text and xml_element.text.strip() else None

    for child in xml_element:
        child_dict = xml_to_obj(child)

        if child.tag in res:
            if isinstance(res[child.tag], list):
                res[child.tag].append(child_dict)
            else:
                res[child.tag] = [res[child.tag], child_dict]
        else:
            res[child.tag] = child_dict

    if text and not res:
        return text

    return res

def parseXmlFile(filename):
    tree = ET.parse(filename)
    root = tree.getroot()
    return xml_to_obj(root)
