# -----------------------------
# Le script ne fait rien. Il met a disposition des fonctions qui permettent de calculer les différents scores
#
# Ce script ne prend pas de paramètres.
#
# Auteur : Pavlovich Ivan
# -----------------------------

def get_confusion_matrix(wanted, prediction):
    matrix = [[0, 0], [0, 0]]
    for key in wanted.keys():

        actual = wanted[key]
        predicted = prediction[key]

        if key in ["Diabetes type 1", "Diabetes type 2"]:
            if predicted:
                if actual is False:
                    if wanted["Diabetes"]:
                        actual = True
        elif key == "Diabetes":
            if predicted:
                if actual is False:
                    if wanted["Diabetes type 1"] or wanted["Diabetes type 2"]:
                        actual = True

        if actual:
            if predicted:
                matrix[0][0] += 1
            else:
                matrix[1][0] += 1
        else:
            if predicted:
                matrix[0][1] += 1
            else:
                matrix[1][1] += 1
    
    return matrix

def get_label_confusion_matrix(label, wanted, prediction):
    matrix = [[0, 0], [0, 0]]

    if wanted[label]:
        if prediction[label]:
            matrix[0][0] += 1
        else:
            matrix[1][0] += 1
    else:
        if prediction[label]:
            matrix[0][1] += 1
        else:
            matrix[1][1] += 1
    return matrix

def add_confusion_matrices(confusion_matrix, tmp_confusion_matrix):
    for i in range(2):
        for j in range(2):
            confusion_matrix[i][j] += tmp_confusion_matrix[i][j]

    return confusion_matrix

def get_tpr(confusion_matrix):
    denominator = (confusion_matrix[0][0] + confusion_matrix[1][0])
    if denominator == 0:
        return 0
    return confusion_matrix[0][0] / denominator

def get_tnr(confusion_matrix):
    denominator = (confusion_matrix[1][1] + confusion_matrix[0][1])
    if denominator == 0:
        return 0
    return confusion_matrix[1][1] / denominator

def get_precision(confusion_matrix):
    denominator = (confusion_matrix[0][0] + confusion_matrix[0][1])
    if denominator == 0:
        return 0
    return confusion_matrix[0][0] / denominator

def get_error_rate(confusion_matrix):
    denominator = (confusion_matrix[0][0] + confusion_matrix[0][1] + confusion_matrix[1][0] + confusion_matrix[1][1])
    if denominator == 0:
        return 0
    return (confusion_matrix[0][1] + confusion_matrix[1][0]) / denominator

def get_f1_score(confusion_matrix):
    precision = get_precision(confusion_matrix)
    recall = get_tpr(confusion_matrix)

    denominator = (precision + recall)
    if denominator == 0:
        return 0
    return 2 * ((precision * recall) / denominator)