from requests import get
import time
import os

KEYWORDS = [
    "Availability", "Affordability", "Essential medecins", "Care therapy", "Care health", "Health Expenditures", "Health care costs", "Market", "Special populations", "Child Health", "Womens Health", "Age", "Minority", "Primary Care", "Specialty Care", "Patient acceptance", "Patient centered care", "Prevention and control", "Mass screening", "Palliative care", "Quality", "Telemedicine", "Digital health", "Supplies", "Human Resources", "Enablers/barriers", "Gender equity", "Racial", "Equity", "Clinical", "Health promotion", "Health education", "Research & Innovation", "Therapeutic Development", "Technological Development", "Self-management", "Self-monitoring", "Dosing", "Injections", "Primary Care", "Secondary Care", "Integrated Care", "Treatment management", "Immunization", "Vaccination", "Prevention and control", "Mass screening", "Palliative care", "Adherence", "Control", "Rehabilitation services", "Clinical guidelines", "Health policy", "Healthcare policy", "National health policy", "Regional health policy", "Health legislation", "Policy evaluation", "Policy analysis", "Policy formulation", "Regulation", "Governance", "Global initiatives and organizations ", "Universal Health Care", "Expansion", "Health insurance", "Coverage", "Funding and investment", "Health planning", "Health reform", "Policy monitoring", "Public health campaign", "Policy lobbying", "Patient advocacy", "Justice", "Awareness campaign", "Education", "Corporate accountability", "Social determinants of health", "Empowerment", "Community", "Peer support", "Civil society", "Patient education", "Parent education", "Educational materials", "Community heatlh education", "Awareness ", "Community engagement", "Health literacy", "Medical education", "Training program", "Technology education", "Medical devices", "Information Dissemination", "Digital health", "Behavioral change", "Nutrition education", "Risk communication", "Sector integration"
]

RESULTS_DIR = os.path.abspath(os.path.join(os.path.dirname(__file__), "./results"))

with open(f"{RESULTS_DIR}/keywords_mesh_terms.txt", "w+") as file:

    for keyword in KEYWORDS:
        print(keyword)
        print("--------------------------------", file=file)
        print(f"{keyword}: ", file=file)
        print("", file=file)

        search_term = keyword.replace(" ", "+").replace("&", "%26").replace("/", "%2F")

        url = f'https://eutils.ncbi.nlm.nih.gov/entrez/eutils/esearch.fcgi?db=pubmed&term={search_term}&retmode=json'
        response = get(url)
        search_res = response.json()

        translation = search_res["esearchresult"]["querytranslation"]

        terms = translation.replace("AND", "|").replace("OR", "|").replace("(", "").replace(")", "").split("|")

        for term in terms:
            term = term.strip()

            if term.endswith("[MeSH Terms]"):
                print(term, file=file)

        print("--------------------------------", file=file)

        time.sleep(1)