from requests import get, exceptions

def getCountriesList():
    url = 'https://ghoapi.azureedge.net/api/DIMENSION/COUNTRY/DimensionValues'

    try:
        response = get(url)

        if response.status_code == 200:
            data = response.json()
            countries = []

            for country in data["value"]:
                countries.append({
                    "Title": country["Title"],
                    "Code": country["Code"],
                    "Region": country["ParentTitle"]
                })

            return countries
        else:
            raise ValueError(f"Error in the response (status code: {response.status_code})")
    except exceptions.RequestException as e:
        raise exceptions.RequestException(f"Error in the request: {e}")
    except Exception as e:
        raise Exception(e)