from parsers.jsonParser import parseJsonFile
from parsers.xlsxParser import parseXlsxFile
from dataSources.WHO.whoApi import getCountriesList

if __name__ == "__main__":
    print("\nKeywords:\n")
    try:
        keywords = parseJsonFile("../categories/keywords.json")
        print(keywords)
    except Exception as e:
        print(f"Error: {e}")

    print("\nDiseases:\n")
    try:
        diseases = parseJsonFile("../categories/diseases.json")
        print(diseases)
    except Exception as e:
        print(f"Error: {e}")

    print("\n Countries: \n")
    try:
        countries = getCountriesList()
    except Exception as e:
        print(f"Error: {e}")

    try:
        incomes = parseXlsxFile("../categories/CLASS.xlsx")
    except Exception as e:
        print(f"Error: {e}")

    code_to_income_group = {item["Code"]: item["Income group"] for item in incomes}

    for country in countries:
        if country["Code"] in code_to_income_group:
            country["Income group"] = code_to_income_group[country["Code"]]
        else:
            country["Income group"] = "nan"
        if country["Income group"] == "nan":
            print(country)
        