# TARS (Task-Aware Representation of Sentences)

# needed library:
# pip install flair

from flair.models import TARSClassifier
from flair.data import Sentence
from flair.data import Dictionary

tars = TARSClassifier.load('tars-base')

mots_cles = [
        "Diabetes",
        "Cancer",
        "Chronic respiratory disease",
        "Cardiovascular diseases",
        "Mental Health",
        "Diabetes type 1",
        "Diabetes type 2"
        ]

label_dictionary = Dictionary()
for label in mots_cles:
    label_dictionary.add_item(label)

tars.add_and_switch_to_new_task("classification_par_mots_cles", label_dictionary=mots_cles, label_type="classification")

texte = """
Medicine 
Association between serum uric acid and prediabetes in a normal Chinese population: A cross-sectional study. 
Cardiovascular events are frequent among individuals with prediabetes. And the relationship between cardiovascular diseases and elevated serum uric acid (SUA) levels has been supported by extensive scientific evidence. However, there remains controversy regarding the correlation between elevated SUA and prediabetes. The aim of this study was to investigate the association between elevated SUA levels and the prevalence of prediabetes and gender differences in the association. A total of 190,891 individuals who participated in health checkups at the Health Promotion Center of Sir Run Run Shaw Hospital of Zhejiang University from January 2017 to December 2021 were included in this cross-sectional study. The health checkups were carried out by trained general practitioners and nurses. The diagnostic criteria for diabetes and prediabetes are defined in the Standards of Medical Care in Diabetes-2022. The association between SUA levels and diabetes and prediabetes was examined based on logistic regression analysis. The dose-response effect between SUA levels and diabetes and prediabetes in both sexes was assessed using a restricted cubic spline (RCS) regression model. Among 190,891 participants, this study included 106,482 males (55.8%) and 84,409 females (44.2%). There were 46,240 (24.2%) patients with prediabetes and 20,792 (10.9%) patients with diabetes. SUA was divided into quartiles (Q). Compared to the SUA Q1 group, the prevalence of prediabetes was elevated in the SUA Q4 group (OR = 1.378, 95% CI = 1.321-1.437), but diabetes risk was decreased in the SUA Q4 group (OR = 0.690, 95% CI = 0.651-0.730). We found that SUA levels were correlated with prediabetes more significantly in male subjects (OR = 1.328, 95% CI = 1.272-1.386) than in female subjects (OR = 1.184, 95% CI = 1.122-1.249) (P for interaction < .001). Higher SUA levels were strongly related to an elevated prevalence of prediabetes but a decreased prevalence of diabetes. The association of SUA in prediabetes was more significant in men.
"""

sentence = Sentence(texte)

tars.predict(sentence)

print(sentence.labels)

# for label in sentence.labels:
#     print(f"Mot-clé : {label.value} | Score : {label.score:.2f}")
