# Rapport 20.12.2024

## ChatGpt

J'ai exploré comment utiliser curl depuis le terminal pour interagir avec ChatGPT et obtenir des réponses. Jusqu'à présent, il semble que la seule méthode fonctionnelle nécessite l'utilisation de l'API d'OpenAI. Par exemple :

```bash
curl https://api.openai.com/v1/chat/completions \ 
    -H "Content-Type: application/json" \ 
    -H "Authorization: Bearer API_KEY" \ 
    -d '{
        "model": "gpt-4",
        "messages": [{"role": "user", "content": "Bonjour, comment vas-tu ?"}]
    }'
```

Pour l'instant, le seul moyen d'utiliser ChatGPT sans clé API est de passer directement par le site web, ce qui implique de faire les tests manuellement. Je vais poursuivre mes recherches pour essayer de trouver une alternative ou d'obtenir une clé API afin de pouvoir automatiser mes tests.

## Teste des models

Nous avons discuté de la nécessité de concevoir une méthode pour évaluer les performances des modèles que je trouve. Pour pouvoir par la suite identifier le modèle qui marcherait le mieux pour notre cas de figure. J'ai commencé à travailler sur une méthode.

J'ai regroupé plusieurs articles pour constituer un ensemble de tests. Pour le moment, ces articles sont divisés en deux catégories : ceux classés comme "Diabète" et ceux qui ne le sont pas. Ces articles sont stockés dans un fichier JSON au format suivant :

```json

{
"PMID": 0,
"Title": "...",
"ArticleTitle": "...",
"Abstract": "...",
"Predictions": ["...", "..."],
"MeshTerms": ["...", "..."]
},

```

Le champ "Predictions" est rempli manuellement par mes soins. Je précise les classes que le modèle de classification devrait reconnaître en me basant sur les MeshTerms fournis par PubMed.

J'ai également développé un programme qui exécute la classification sur tous les articles pré-sélectionnés et qui :
- calcule le temps nécessaire au modèle pour classifier les articles.
- évalue le taux de prédictions correctes en comparant les résultats du modèle avec mes prédictions manuelles.

### A faire

- Ajouter plus d'article. 
- Ajouter une plus grande variété d'articles : 
    - plus d'articles sans abstract
    - des articles vagues, mais qui devraient tout de même être correctement classés
- Refaire mon calcul de classification correcte. Actuellement, je considère qu'une classe est choisie si son score dépasse 60 %, ce qui ne fonctionne pas forcément. Par exemple dans le cas d'articles qui ont moins de contenu, le modèle pourrai être moins confiant de ces prédictions, donc faudrait prendre ces variations en compte.
- Ajouter une meilleure séparation dans les résultats pour les rendre plus compréhensibles.
- Intégrer des articles permettant de tester tous les mots-clés.